﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class ImageTool : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "ImageTool",
                table: "ReadingTableQuestionTrial",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ImageToolAttribute",
                table: "ReadingTableQuestionTrial",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ImageTool",
                table: "ReadingQuestionTrial",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ImageToolAttribute",
                table: "ReadingQuestionTrial",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ImageTool",
                table: "ReadingTableQuestionTrial");

            migrationBuilder.DropColumn(
                name: "ImageToolAttribute",
                table: "ReadingTableQuestionTrial");

            migrationBuilder.DropColumn(
                name: "ImageTool",
                table: "ReadingQuestionTrial");

            migrationBuilder.DropColumn(
                name: "ImageToolAttribute",
                table: "ReadingQuestionTrial");
        }
    }
}
